Get Decision Coverage
GET
/api/canvas/{deal_id}/decision-coverage
const url = 'https://example.com/api/canvas/example/decision-coverage';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/canvas/example/decision-coverage \ --header 'Authorization: Bearer <token>'Return the persisted memo decision-coverage scorecard for a deal.
Returns 200 with {"available": False} when the synthesis pipeline
has not yet produced a coverage artifact (e.g. memo not generated, or
a pre-P32 memo predating the rollup). Returns 200 with the full
scorecard payload when present.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}